et-predict - Added initial custom application for graphical offline HF prediction

This commit is contained in:
thetechprepper
2025-11-12 16:51:57 -07:00
parent ecdc007d57
commit 935d377224
3 changed files with 30 additions and 3 deletions
+2 -2
View File
@@ -1,7 +1,7 @@
#!/bin/bash #!/bin/bash
# Author : Gaston Gonzalez # Author : Gaston Gonzalez
# Date : 9 July 2025 # Date : 9 July 2025
# Updated : 1 September 2025 # Updated : 12 November 2025
# Purpose : Install et-aircraft-app # Purpose : Install et-aircraft-app
set -e set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
@@ -18,7 +18,7 @@ et-log "Installing ${APP} ${VERSION}..."
if [[ ! -e ${ET_DIST_DIR}/${DOWNLOAD_FILE} ]]; then if [[ ! -e ${ET_DIST_DIR}/${DOWNLOAD_FILE} ]]; then
URL="https://github.com/thetechprepper/et-aircraft-app/releases/download/${VERSION}/${DOWNLOAD_FILE}" URL="https://github.com/thetechprepper/${APP}/releases/download/${VERSION}/${DOWNLOAD_FILE}"
download_with_retries ${URL} ${DOWNLOAD_FILE} download_with_retries ${URL} ${DOWNLOAD_FILE}
mv ${DOWNLOAD_FILE} ${ET_DIST_DIR} mv ${DOWNLOAD_FILE} ${ET_DIST_DIR}
+26
View File
@@ -0,0 +1,26 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 12 November 2025
# Purpose : Install et-predict-app
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
. ./env.sh
. ../overlay/opt/emcomm-tools/bin/et-common
APP=et-predict-app
VERSION=1.1.0
DOWNLOAD_FILE="${APP}_${VERSION}_amd64.deb"
et-log "Installing ${APP} ${VERSION}..."
if [[ ! -e ${ET_DIST_DIR}/${DOWNLOAD_FILE} ]]; then
URL="https://github.com/thetechprepper/${APP}/releases/download/${VERSION}/${DOWNLOAD_FILE}"
download_with_retries ${URL} ${DOWNLOAD_FILE}
mv ${DOWNLOAD_FILE} ${ET_DIST_DIR}
fi
DEBIAN_FRONTEND=noninteractive dpkg -i "${ET_DIST_DIR}/${DOWNLOAD_FILE}"
+2 -1
View File
@@ -2,7 +2,7 @@
# #
# Author : Gaston Gonzalez # Author : Gaston Gonzalez
# Date : 16 March 2024 # Date : 16 March 2024
# Updated : 2 October 2025 # Updated : 12 November 2025
# Purpose : Main installer for EmComm Tools Community (ETC) # Purpose : Main installer for EmComm Tools Community (ETC)
. ./env.sh . ./env.sh
@@ -80,6 +80,7 @@ exitIfNotRoot
# Install ETC applications # Install ETC applications
./install-et-api.sh ./install-et-api.sh
./install-et-aircraft.sh ./install-et-aircraft.sh
./install-et-predict.sh
# Install documentation tools # Install documentation tools
./install-dictionary.sh ./install-dictionary.sh